curl --request DELETE \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhooks/by-id/{webhook_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"received": true,
"webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Delete/deactivate a webhook
Webhook deleted
DELETE
/
v1
/
tenants
/
{tenant_id}
/
webhooks
/
by-id
/
{webhook_id}
curl --request DELETE \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhooks/by-id/{webhook_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"received": true,
"webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Path parameters
string
required
Tenant identifier
string (uuid)
required
Webhook identifier
Response
object
boolean
required
string (uuid)
Status codes
| Code | Meaning |
|---|---|
200 | Webhook deleted |
401 | Unauthorized |
404 | Webhook not found |
curl --request DELETE \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhooks/by-id/{webhook_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"received": true,
"webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026